package org.apache.bcel.generic;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.generic.GotoInstruction;
import org.apache.bcel.generic.InstructionHandle;
import org.apache.bcel.generic.Visitor;
import org.apache.bcel.util.ByteSequence;

public class GOTO_W extends GotoInstruction {
  GOTO_W() {}
  
  public GOTO_W(InstructionHandle target) {
    super((short)200, target);
    setLength(5);
  }
  
  public void accept(Visitor v) {
    v.visitUnconditionalBranch(this);
    v.visitBranchInstruction(this);
    v.visitGotoInstruction(this);
    v.visitGOTO_W(this);
  }
  
  public void dump(DataOutputStream out) throws IOException {
    setIndex(getTargetOffset());
    out.writeByte(getOpcode());
    out.writeInt(getIndex());
  }
  
  protected void initFromFile(ByteSequence bytes, boolean wide) throws IOException {
    setIndex(bytes.readInt());
    setLength(5);
  }
}
